用户
检查关注关系
GET /v1/users/{screen_name}/relationship/{other_screen_name} reads 1 额度
两个账号之间的关系:第一个是否关注第二个,以及是否被对方回关。
响应
两个账号的引用、从第一个账号视角看的 following 和 followed_by,以及 X 公开的其他标志(例如 can_dm)。两个用户名必须不同。
状态: 200, 400, 404, 429, 502
请求
curl https://api.xsignalfeed.com/v1/users/elonmusk/relationship/jack \ -H "Authorization: Bearer xsf_your_key"
响应 · 200 / 400
{
"source": {
"id": "44196397",
"screen_name": "elonmusk"
},
"target": {
"id": "12",
"screen_name": "jack"
},
"following": true,
"followed_by": true,
"can_dm": true
}